Entur Developer
Third Party Product - Partner

Third Party Products by Order

Server

Get third party products for an order


Get third party products for an order

GET
https://api.entur.io/sales
/v1/third-party-products/orders/{orderId}

Returns third party products for given orderId

Get third party products for an order › path Parameters

orderId
​string · required · style: simple

The id of the order.

Get third party products for an order › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get third party products for an order › Responses

OK

Response containing third party products.
​ThirdPartyProduct[] · required

Get specific third party product for an orderLine

GET
https://api.entur.io/sales
/v1/third-party-products/orders/{orderId}/order-lines/{orderLineId}

Returns third party products for given orderId, orderLineId and orderLineVersion. A Third party product is a product in the system that belongs to an external provider/operator, but is sold or handled through our platform.

Get specific third party product for an orderLine › path Parameters

orderId
​string · required · style: simple

The id of the order.

orderLineId
​string · required · style: simple

The id of the order line.

Get specific third party product for an orderLine › query Parameters

orderLineVersion
​integer · style: form · explode: true

Get specific third party product for an orderLine › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get specific third party product for an orderLine › Responses

OK

A third party product for given order and order line.
orderId
​string · required

The orderId for which the product belongs to.

orderVersion
​integer · required

The version of the order for which the product belongs to.

orderLineId
​string · required

The orderLineId for which the product belongs to.

orderLineVersion
​integer · required

The version of the order line for which the product belongs to.

​RefType · required

Versioned ID of the product.

​TextInLanguage[] · required

A human-readable list of names for the product

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​Parameters · required

Similar to OrderLine.fareProducts.parameters, but with additional fields for third party products.

​Validity

Holds the start and end of validity for the product if this is relevant

authorityId
​string

Owner of the product.


Did you find what you were looking for?